Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
pipeline-executions
/
{pipelineExecutionId}
/
steps
Pipeline Steps Status
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/steps \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/steps"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 1,
  "results": [
    {
      "childPipeline": {
        "id": "b715b912-41fb-402c-ad3b-1807313670e3",
        "name": "start"
      },
      "id": "b715b912-41fb-402c-ad3b-1807313670e8",
      "name": "start",
      "result": "SUCCESS"
    }
  ],
  "size": 50,
  "total": 472
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required
pipelineExecutionId
string<uuid>
required

Query Parameters

Response

Pipeline status has been retrieved

page
integer<int32>

The 0-indexed page number of the returned results.

Example:

1

results
object[]

Page of results or empty.

size
integer<int32>

The size of each page of results.

Example:

50

total
integer<int64>

Total number of available results across all pages.

Example:

472